[Python] mypkg-1.1.0-cp27-cp27mu-linux_x86_64.whl is not a supported wheel on this platform.

A Bug

Background

I tried to install a wheel package file by pip, but it showed the error.

I got:

Solution

Renaming the wheel file to fit the supported wheel format. To get the supported format in your environment.

So let’s rename it.

And then the wheel file can be installed perfectly.

Others

Well, that’s really weird why it checks file names to validate the format…

If you like this post, you can buy me a coffee! :)

Reference

https://stackoverflow.com/questions/28107123/cannot-install-numpy-from-wheel-format?rq=1

From Taiwan, a beautiful island. Learning English and sharing code experience.